Subject: bug#59067: 29.0.50; Exexpected overlay order in `overlays-in' return value

From: Matt Armstrong <[email-masked]>
Date: Mon, 07 Nov 2022 15:47:51 -0800

Eli Zaretskii <[email-masked]> writes:

> I'll wait for a few days for other ideas and opinions, and if nothing
> pops up, I will amend the documentation (and NEWS, as this is probably
> NEWS-worthy).

I think amending the documentation is the right approach, and agree that
it is NEWS-worthy.

In Emacs git we have already seen one fix related to this issue:

651bf0a999 (Fix overlays order in Flyspell (bug#58970), 2022-11-03)

...with that example, and this one from Org, we can rationally expect
more.

The original overlay implementation happened to provide one ordering,
but it could change when the overlay "center" moved, so packages that
rely on anything specific are on shaky ground.